// variable specific linting rules

module.exports =
{
	rules:
	{

		// Enforce/Disallow Variable Initializations
		'init-declarations': 'error',

		// Disallow deleting variables
		'no-delete-var': 'error',

		// Disallow Initializing to undefined
		'no-undef-init': 'error',

		// Disallow Undeclared Variables
		'no-undef': 'error',

		// Disallow Unused Variables
		'no-unused-vars': 'warn',

		// Disallow Early Use
		'no-use-before-define': 'error'
	}
};